SPI_SCROLL_CURSOR_FETCH(3)

NAME
SPI_scroll_cursor_fetch - fetch some rows from a cursor

SYNOPSIS

void SPI_scroll_cursor_fetch(Portal portal, FetchDirection direction,
                             long count)

DESCRIPTION

SPI_scroll_cursor_fetch fetches some rows from a cursor. This is equivalent to the SQL command FETCH.

ARGUMENTS

Portal portal
    portal containing the cursor

FetchDirection direction
    one of FETCH_FORWARD, FETCH_BACKWARD, FETCH_ABSOLUTE or FETCH_RELATIVE

long count
    number of rows to fetch for FETCH_FORWARD or FETCH_BACKWARD; absolute row number to fetch for FETCH_ABSOLUTE; or relative row number to fetch for FETCH_RELATIVE

RETURN VALUE

SPI_processed and SPI_tuptable are set as in SPI_execute if successful.

NOTES

See the SQL FETCH(7) command for details of the interpretation of the direction and count parameters.

Direction values other than FETCH_FORWARD may fail if the cursor's plan was not created with the CURSOR_OPT_SCROLL option.